# Interface BytesDynamicValue

A bytestring value (dynamic length)

#### Category

Elementary types

#### Hierarchy

- BytesDynamicValue

- Defined in codec/lib/format/elementary.ts:108

#####
Index

### Properties

interpretations
kind
type
value

## Properties

### interpretations

interpretations: {}

#### Type declaration

- Defined in codec/lib/format/elementary.ts:117

### kind

kind: "value"

- Defined in codec/lib/format/elementary.ts:110

### type

type: BytesTypeDynamic

- Defined in codec/lib/format/elementary.ts:109

### value

value: {
asHex: string;
}

#### Type declaration

- ##### asHex: string

  hex-formatted, with leading "0x"

- Defined in codec/lib/format/elementary.ts:111

Generated using TypeDoc